Index: XIOS/trunk/src/config/grid_attribute.conf
===================================================================
--- XIOS/trunk/src/config/grid_attribute.conf	(revision 574)
+++ XIOS/trunk/src/config/grid_attribute.conf	(revision 575)
@@ -13,3 +13,3 @@
 // These attributes should be used privately
 // An array contains order of axis and domains composing of the grid
-DECLARE_ARRAY(bool, 1 , axisDomainOrder)
+DECLARE_ARRAY(bool, 1 , axis_domain_order)
Index: XIOS/trunk/src/interface/c_attr/icgrid_attr.cpp
===================================================================
--- XIOS/trunk/src/interface/c_attr/icgrid_attr.cpp	(revision 574)
+++ XIOS/trunk/src/interface/c_attr/icgrid_attr.cpp	(revision 575)
@@ -18,24 +18,24 @@
   typedef xios::CGrid*  grid_Ptr;
   
-  void cxios_set_grid_axisDomainOrder(grid_Ptr grid_hdl, bool* axisDomainOrder, int extent1)
+  void cxios_set_grid_axis_domain_order(grid_Ptr grid_hdl, bool* axis_domain_order, int extent1)
   {
     CTimer::get("XIOS").resume();
-    CArray<bool,1> tmp(axisDomainOrder,shape(extent1),neverDeleteData) ;
-    grid_hdl->axisDomainOrder.reference(tmp.copy());
+    CArray<bool,1> tmp(axis_domain_order,shape(extent1),neverDeleteData) ;
+    grid_hdl->axis_domain_order.reference(tmp.copy());
      CTimer::get("XIOS").suspend();
   }
   
-  void cxios_get_grid_axisDomainOrder(grid_Ptr grid_hdl, bool* axisDomainOrder, int extent1)
+  void cxios_get_grid_axis_domain_order(grid_Ptr grid_hdl, bool* axis_domain_order, int extent1)
   {
     CTimer::get("XIOS").resume();
-    CArray<bool,1> tmp(axisDomainOrder,shape(extent1),neverDeleteData) ;
-    tmp=grid_hdl->axisDomainOrder.getInheritedValue() ;
+    CArray<bool,1> tmp(axis_domain_order,shape(extent1),neverDeleteData) ;
+    tmp=grid_hdl->axis_domain_order.getInheritedValue() ;
      CTimer::get("XIOS").suspend();
   }
   
-  bool cxios_is_defined_grid_axisDomainOrder(grid_Ptr grid_hdl )
+  bool cxios_is_defined_grid_axis_domain_order(grid_Ptr grid_hdl )
   {
      CTimer::get("XIOS").resume();
-    return grid_hdl->axisDomainOrder.hasInheritedValue();
+    return grid_hdl->axis_domain_order.hasInheritedValue();
      CTimer::get("XIOS").suspend();
   }
Index: XIOS/trunk/src/interface/c_attr/icgridgroup_attr.cpp
===================================================================
--- XIOS/trunk/src/interface/c_attr/icgridgroup_attr.cpp	(revision 574)
+++ XIOS/trunk/src/interface/c_attr/icgridgroup_attr.cpp	(revision 575)
@@ -18,24 +18,24 @@
   typedef xios::CGridGroup*  gridgroup_Ptr;
   
-  void cxios_set_gridgroup_axisDomainOrder(gridgroup_Ptr gridgroup_hdl, bool* axisDomainOrder, int extent1)
+  void cxios_set_gridgroup_axis_domain_order(gridgroup_Ptr gridgroup_hdl, bool* axis_domain_order, int extent1)
   {
     CTimer::get("XIOS").resume();
-    CArray<bool,1> tmp(axisDomainOrder,shape(extent1),neverDeleteData) ;
-    gridgroup_hdl->axisDomainOrder.reference(tmp.copy());
+    CArray<bool,1> tmp(axis_domain_order,shape(extent1),neverDeleteData) ;
+    gridgroup_hdl->axis_domain_order.reference(tmp.copy());
      CTimer::get("XIOS").suspend();
   }
   
-  void cxios_get_gridgroup_axisDomainOrder(gridgroup_Ptr gridgroup_hdl, bool* axisDomainOrder, int extent1)
+  void cxios_get_gridgroup_axis_domain_order(gridgroup_Ptr gridgroup_hdl, bool* axis_domain_order, int extent1)
   {
     CTimer::get("XIOS").resume();
-    CArray<bool,1> tmp(axisDomainOrder,shape(extent1),neverDeleteData) ;
-    tmp=gridgroup_hdl->axisDomainOrder.getInheritedValue() ;
+    CArray<bool,1> tmp(axis_domain_order,shape(extent1),neverDeleteData) ;
+    tmp=gridgroup_hdl->axis_domain_order.getInheritedValue() ;
      CTimer::get("XIOS").suspend();
   }
   
-  bool cxios_is_defined_gridgroup_axisDomainOrder(gridgroup_Ptr gridgroup_hdl )
+  bool cxios_is_defined_gridgroup_axis_domain_order(gridgroup_Ptr gridgroup_hdl )
   {
      CTimer::get("XIOS").resume();
-    return gridgroup_hdl->axisDomainOrder.hasInheritedValue();
+    return gridgroup_hdl->axis_domain_order.hasInheritedValue();
      CTimer::get("XIOS").suspend();
   }
Index: XIOS/trunk/src/interface/fortran_attr/grid_interface_attr.F90
===================================================================
--- XIOS/trunk/src/interface/fortran_attr/grid_interface_attr.F90	(revision 574)
+++ XIOS/trunk/src/interface/fortran_attr/grid_interface_attr.F90	(revision 575)
@@ -10,23 +10,23 @@
     
     
-    SUBROUTINE cxios_set_grid_axisDomainOrder(grid_hdl, axisDomainOrder, extent1) BIND(C)
+    SUBROUTINE cxios_set_grid_axis_domain_order(grid_hdl, axis_domain_order, extent1) BIND(C)
       USE ISO_C_BINDING
       INTEGER (kind = C_INTPTR_T), VALUE       :: grid_hdl
-      LOGICAL (KIND=C_BOOL)     , DIMENSION(*) :: axisDomainOrder
+      LOGICAL (KIND=C_BOOL)     , DIMENSION(*) :: axis_domain_order
       INTEGER (kind = C_INT), VALUE  :: extent1
-    END SUBROUTINE cxios_set_grid_axisDomainOrder
+    END SUBROUTINE cxios_set_grid_axis_domain_order
     
-    SUBROUTINE cxios_get_grid_axisDomainOrder(grid_hdl, axisDomainOrder, extent1) BIND(C)
+    SUBROUTINE cxios_get_grid_axis_domain_order(grid_hdl, axis_domain_order, extent1) BIND(C)
       USE ISO_C_BINDING
       INTEGER (kind = C_INTPTR_T), VALUE       :: grid_hdl
-      LOGICAL (KIND=C_BOOL)     , DIMENSION(*) :: axisDomainOrder
+      LOGICAL (KIND=C_BOOL)     , DIMENSION(*) :: axis_domain_order
       INTEGER (kind = C_INT), VALUE  :: extent1
-    END SUBROUTINE cxios_get_grid_axisDomainOrder
+    END SUBROUTINE cxios_get_grid_axis_domain_order
     
-    FUNCTION cxios_is_defined_grid_axisDomainOrder(grid_hdl ) BIND(C)
+    FUNCTION cxios_is_defined_grid_axis_domain_order(grid_hdl ) BIND(C)
       USE ISO_C_BINDING
-      LOGICAL(kind=C_BOOL) :: cxios_is_defined_grid_axisDomainOrder
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_grid_axis_domain_order
       INTEGER (kind = C_INTPTR_T), VALUE :: grid_hdl
-    END FUNCTION cxios_is_defined_grid_axisDomainOrder
+    END FUNCTION cxios_is_defined_grid_axis_domain_order
     
     
Index: XIOS/trunk/src/interface/fortran_attr/gridgroup_interface_attr.F90
===================================================================
--- XIOS/trunk/src/interface/fortran_attr/gridgroup_interface_attr.F90	(revision 574)
+++ XIOS/trunk/src/interface/fortran_attr/gridgroup_interface_attr.F90	(revision 575)
@@ -10,23 +10,23 @@
     
     
-    SUBROUTINE cxios_set_gridgroup_axisDomainOrder(gridgroup_hdl, axisDomainOrder, extent1) BIND(C)
+    SUBROUTINE cxios_set_gridgroup_axis_domain_order(gridgroup_hdl, axis_domain_order, extent1) BIND(C)
       USE ISO_C_BINDING
       INTEGER (kind = C_INTPTR_T), VALUE       :: gridgroup_hdl
-      LOGICAL (KIND=C_BOOL)     , DIMENSION(*) :: axisDomainOrder
+      LOGICAL (KIND=C_BOOL)     , DIMENSION(*) :: axis_domain_order
       INTEGER (kind = C_INT), VALUE  :: extent1
-    END SUBROUTINE cxios_set_gridgroup_axisDomainOrder
+    END SUBROUTINE cxios_set_gridgroup_axis_domain_order
     
-    SUBROUTINE cxios_get_gridgroup_axisDomainOrder(gridgroup_hdl, axisDomainOrder, extent1) BIND(C)
+    SUBROUTINE cxios_get_gridgroup_axis_domain_order(gridgroup_hdl, axis_domain_order, extent1) BIND(C)
       USE ISO_C_BINDING
       INTEGER (kind = C_INTPTR_T), VALUE       :: gridgroup_hdl
-      LOGICAL (KIND=C_BOOL)     , DIMENSION(*) :: axisDomainOrder
+      LOGICAL (KIND=C_BOOL)     , DIMENSION(*) :: axis_domain_order
       INTEGER (kind = C_INT), VALUE  :: extent1
-    END SUBROUTINE cxios_get_gridgroup_axisDomainOrder
+    END SUBROUTINE cxios_get_gridgroup_axis_domain_order
     
-    FUNCTION cxios_is_defined_gridgroup_axisDomainOrder(gridgroup_hdl ) BIND(C)
+    FUNCTION cxios_is_defined_gridgroup_axis_domain_order(gridgroup_hdl ) BIND(C)
       USE ISO_C_BINDING
-      LOGICAL(kind=C_BOOL) :: cxios_is_defined_gridgroup_axisDomainOrder
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_gridgroup_axis_domain_order
       INTEGER (kind = C_INTPTR_T), VALUE :: gridgroup_hdl
-    END FUNCTION cxios_is_defined_gridgroup_axisDomainOrder
+    END FUNCTION cxios_is_defined_gridgroup_axis_domain_order
     
     
Index: XIOS/trunk/src/interface/fortran_attr/igrid_attr.F90
===================================================================
--- XIOS/trunk/src/interface/fortran_attr/igrid_attr.F90	(revision 574)
+++ XIOS/trunk/src/interface/fortran_attr/igrid_attr.F90	(revision 575)
@@ -12,11 +12,11 @@
   
   SUBROUTINE xios(set_grid_attr)  &
-    ( grid_id, axisDomainOrder, description, mask1, mask2, mask3, name )
+    ( grid_id, axis_domain_order, description, mask1, mask2, mask3, name )
     
     IMPLICIT NONE
       TYPE(txios(grid))  :: grid_hdl
       CHARACTER(LEN=*), INTENT(IN) ::grid_id
-      LOGICAL  , OPTIONAL, INTENT(IN) :: axisDomainOrder(:)
-      LOGICAL (KIND=C_BOOL) , ALLOCATABLE :: axisDomainOrder_tmp(:)
+      LOGICAL  , OPTIONAL, INTENT(IN) :: axis_domain_order(:)
+      LOGICAL (KIND=C_BOOL) , ALLOCATABLE :: axis_domain_order_tmp(:)
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: description
       LOGICAL  , OPTIONAL, INTENT(IN) :: mask1(:)
@@ -30,15 +30,15 @@
       CALL xios(get_grid_handle)(grid_id,grid_hdl)
       CALL xios(set_grid_attr_hdl_)   &
-      ( grid_hdl, axisDomainOrder, description, mask1, mask2, mask3, name )
+      ( grid_hdl, axis_domain_order, description, mask1, mask2, mask3, name )
     
   END SUBROUTINE xios(set_grid_attr)
   
   SUBROUTINE xios(set_grid_attr_hdl)  &
-    ( grid_hdl, axisDomainOrder, description, mask1, mask2, mask3, name )
-    
-    IMPLICIT NONE
-      TYPE(txios(grid)) , INTENT(IN) :: grid_hdl
-      LOGICAL  , OPTIONAL, INTENT(IN) :: axisDomainOrder(:)
-      LOGICAL (KIND=C_BOOL) , ALLOCATABLE :: axisDomainOrder_tmp(:)
+    ( grid_hdl, axis_domain_order, description, mask1, mask2, mask3, name )
+    
+    IMPLICIT NONE
+      TYPE(txios(grid)) , INTENT(IN) :: grid_hdl
+      LOGICAL  , OPTIONAL, INTENT(IN) :: axis_domain_order(:)
+      LOGICAL (KIND=C_BOOL) , ALLOCATABLE :: axis_domain_order_tmp(:)
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: description
       LOGICAL  , OPTIONAL, INTENT(IN) :: mask1(:)
@@ -51,15 +51,15 @@
       
       CALL xios(set_grid_attr_hdl_)  &
-      ( grid_hdl, axisDomainOrder, description, mask1, mask2, mask3, name )
+      ( grid_hdl, axis_domain_order, description, mask1, mask2, mask3, name )
     
   END SUBROUTINE xios(set_grid_attr_hdl)
   
   SUBROUTINE xios(set_grid_attr_hdl_)   &
-    ( grid_hdl, axisDomainOrder_, description_, mask1_, mask2_, mask3_, name_ )
-    
-    IMPLICIT NONE
-      TYPE(txios(grid)) , INTENT(IN) :: grid_hdl
-      LOGICAL  , OPTIONAL, INTENT(IN) :: axisDomainOrder_(:)
-      LOGICAL (KIND=C_BOOL) , ALLOCATABLE :: axisDomainOrder__tmp(:)
+    ( grid_hdl, axis_domain_order_, description_, mask1_, mask2_, mask3_, name_ )
+    
+    IMPLICIT NONE
+      TYPE(txios(grid)) , INTENT(IN) :: grid_hdl
+      LOGICAL  , OPTIONAL, INTENT(IN) :: axis_domain_order_(:)
+      LOGICAL (KIND=C_BOOL) , ALLOCATABLE :: axis_domain_order__tmp(:)
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: description_
       LOGICAL  , OPTIONAL, INTENT(IN) :: mask1_(:)
@@ -71,8 +71,8 @@
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: name_
       
-      IF (PRESENT(axisDomainOrder_)) THEN
-        ALLOCATE(axisDomainOrder__tmp(size(axisDomainOrder_,1)))
-        axisDomainOrder__tmp=axisDomainOrder_
-        CALL cxios_set_grid_axisDomainOrder(grid_hdl%daddr, axisDomainOrder__tmp,size(axisDomainOrder_,1))
+      IF (PRESENT(axis_domain_order_)) THEN
+        ALLOCATE(axis_domain_order__tmp(size(axis_domain_order_,1)))
+        axis_domain_order__tmp=axis_domain_order_
+        CALL cxios_set_grid_axis_domain_order(grid_hdl%daddr, axis_domain_order__tmp,size(axis_domain_order_,1))
       ENDIF
       
@@ -108,11 +108,11 @@
   
   SUBROUTINE xios(get_grid_attr)  &
-    ( grid_id, axisDomainOrder, description, mask1, mask2, mask3, name )
+    ( grid_id, axis_domain_order, description, mask1, mask2, mask3, name )
     
     IMPLICIT NONE
       TYPE(txios(grid))  :: grid_hdl
       CHARACTER(LEN=*), INTENT(IN) ::grid_id
-      LOGICAL  , OPTIONAL, INTENT(OUT) :: axisDomainOrder(:)
-      LOGICAL (KIND=C_BOOL) , ALLOCATABLE :: axisDomainOrder_tmp(:)
+      LOGICAL  , OPTIONAL, INTENT(OUT) :: axis_domain_order(:)
+      LOGICAL (KIND=C_BOOL) , ALLOCATABLE :: axis_domain_order_tmp(:)
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: description
       LOGICAL  , OPTIONAL, INTENT(OUT) :: mask1(:)
@@ -126,15 +126,15 @@
       CALL xios(get_grid_handle)(grid_id,grid_hdl)
       CALL xios(get_grid_attr_hdl_)   &
-      ( grid_hdl, axisDomainOrder, description, mask1, mask2, mask3, name )
+      ( grid_hdl, axis_domain_order, description, mask1, mask2, mask3, name )
     
   END SUBROUTINE xios(get_grid_attr)
   
   SUBROUTINE xios(get_grid_attr_hdl)  &
-    ( grid_hdl, axisDomainOrder, description, mask1, mask2, mask3, name )
-    
-    IMPLICIT NONE
-      TYPE(txios(grid)) , INTENT(IN) :: grid_hdl
-      LOGICAL  , OPTIONAL, INTENT(OUT) :: axisDomainOrder(:)
-      LOGICAL (KIND=C_BOOL) , ALLOCATABLE :: axisDomainOrder_tmp(:)
+    ( grid_hdl, axis_domain_order, description, mask1, mask2, mask3, name )
+    
+    IMPLICIT NONE
+      TYPE(txios(grid)) , INTENT(IN) :: grid_hdl
+      LOGICAL  , OPTIONAL, INTENT(OUT) :: axis_domain_order(:)
+      LOGICAL (KIND=C_BOOL) , ALLOCATABLE :: axis_domain_order_tmp(:)
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: description
       LOGICAL  , OPTIONAL, INTENT(OUT) :: mask1(:)
@@ -147,15 +147,15 @@
       
       CALL xios(get_grid_attr_hdl_)  &
-      ( grid_hdl, axisDomainOrder, description, mask1, mask2, mask3, name )
+      ( grid_hdl, axis_domain_order, description, mask1, mask2, mask3, name )
     
   END SUBROUTINE xios(get_grid_attr_hdl)
   
   SUBROUTINE xios(get_grid_attr_hdl_)   &
-    ( grid_hdl, axisDomainOrder_, description_, mask1_, mask2_, mask3_, name_ )
-    
-    IMPLICIT NONE
-      TYPE(txios(grid)) , INTENT(IN) :: grid_hdl
-      LOGICAL  , OPTIONAL, INTENT(OUT) :: axisDomainOrder_(:)
-      LOGICAL (KIND=C_BOOL) , ALLOCATABLE :: axisDomainOrder__tmp(:)
+    ( grid_hdl, axis_domain_order_, description_, mask1_, mask2_, mask3_, name_ )
+    
+    IMPLICIT NONE
+      TYPE(txios(grid)) , INTENT(IN) :: grid_hdl
+      LOGICAL  , OPTIONAL, INTENT(OUT) :: axis_domain_order_(:)
+      LOGICAL (KIND=C_BOOL) , ALLOCATABLE :: axis_domain_order__tmp(:)
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: description_
       LOGICAL  , OPTIONAL, INTENT(OUT) :: mask1_(:)
@@ -167,8 +167,8 @@
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: name_
       
-      IF (PRESENT(axisDomainOrder_)) THEN
-        ALLOCATE(axisDomainOrder__tmp(size(axisDomainOrder_,1)))
-        CALL cxios_get_grid_axisDomainOrder(grid_hdl%daddr, axisDomainOrder__tmp,size(axisDomainOrder_,1))
-        axisDomainOrder_=axisDomainOrder__tmp
+      IF (PRESENT(axis_domain_order_)) THEN
+        ALLOCATE(axis_domain_order__tmp(size(axis_domain_order_,1)))
+        CALL cxios_get_grid_axis_domain_order(grid_hdl%daddr, axis_domain_order__tmp,size(axis_domain_order_,1))
+        axis_domain_order_=axis_domain_order__tmp
       ENDIF
       
@@ -204,11 +204,11 @@
   
   SUBROUTINE xios(is_defined_grid_attr)  &
-    ( grid_id, axisDomainOrder, description, mask1, mask2, mask3, name )
+    ( grid_id, axis_domain_order, description, mask1, mask2, mask3, name )
     
     IMPLICIT NONE
       TYPE(txios(grid))  :: grid_hdl
       CHARACTER(LEN=*), INTENT(IN) ::grid_id
-      LOGICAL, OPTIONAL, INTENT(OUT) :: axisDomainOrder
-      LOGICAL(KIND=C_BOOL) :: axisDomainOrder_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: axis_domain_order
+      LOGICAL(KIND=C_BOOL) :: axis_domain_order_tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: description
       LOGICAL(KIND=C_BOOL) :: description_tmp
@@ -224,15 +224,15 @@
       CALL xios(get_grid_handle)(grid_id,grid_hdl)
       CALL xios(is_defined_grid_attr_hdl_)   &
-      ( grid_hdl, axisDomainOrder, description, mask1, mask2, mask3, name )
+      ( grid_hdl, axis_domain_order, description, mask1, mask2, mask3, name )
     
   END SUBROUTINE xios(is_defined_grid_attr)
   
   SUBROUTINE xios(is_defined_grid_attr_hdl)  &
-    ( grid_hdl, axisDomainOrder, description, mask1, mask2, mask3, name )
-    
-    IMPLICIT NONE
-      TYPE(txios(grid)) , INTENT(IN) :: grid_hdl
-      LOGICAL, OPTIONAL, INTENT(OUT) :: axisDomainOrder
-      LOGICAL(KIND=C_BOOL) :: axisDomainOrder_tmp
+    ( grid_hdl, axis_domain_order, description, mask1, mask2, mask3, name )
+    
+    IMPLICIT NONE
+      TYPE(txios(grid)) , INTENT(IN) :: grid_hdl
+      LOGICAL, OPTIONAL, INTENT(OUT) :: axis_domain_order
+      LOGICAL(KIND=C_BOOL) :: axis_domain_order_tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: description
       LOGICAL(KIND=C_BOOL) :: description_tmp
@@ -247,15 +247,15 @@
       
       CALL xios(is_defined_grid_attr_hdl_)  &
-      ( grid_hdl, axisDomainOrder, description, mask1, mask2, mask3, name )
+      ( grid_hdl, axis_domain_order, description, mask1, mask2, mask3, name )
     
   END SUBROUTINE xios(is_defined_grid_attr_hdl)
   
   SUBROUTINE xios(is_defined_grid_attr_hdl_)   &
-    ( grid_hdl, axisDomainOrder_, description_, mask1_, mask2_, mask3_, name_ )
-    
-    IMPLICIT NONE
-      TYPE(txios(grid)) , INTENT(IN) :: grid_hdl
-      LOGICAL, OPTIONAL, INTENT(OUT) :: axisDomainOrder_
-      LOGICAL(KIND=C_BOOL) :: axisDomainOrder__tmp
+    ( grid_hdl, axis_domain_order_, description_, mask1_, mask2_, mask3_, name_ )
+    
+    IMPLICIT NONE
+      TYPE(txios(grid)) , INTENT(IN) :: grid_hdl
+      LOGICAL, OPTIONAL, INTENT(OUT) :: axis_domain_order_
+      LOGICAL(KIND=C_BOOL) :: axis_domain_order__tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: description_
       LOGICAL(KIND=C_BOOL) :: description__tmp
@@ -269,7 +269,7 @@
       LOGICAL(KIND=C_BOOL) :: name__tmp
       
-      IF (PRESENT(axisDomainOrder_)) THEN
-        axisDomainOrder__tmp=cxios_is_defined_grid_axisDomainOrder(grid_hdl%daddr)
-        axisDomainOrder_=axisDomainOrder__tmp
+      IF (PRESENT(axis_domain_order_)) THEN
+        axis_domain_order__tmp=cxios_is_defined_grid_axis_domain_order(grid_hdl%daddr)
+        axis_domain_order_=axis_domain_order__tmp
       ENDIF
       
Index: XIOS/trunk/src/interface/fortran_attr/igridgroup_attr.F90
===================================================================
--- XIOS/trunk/src/interface/fortran_attr/igridgroup_attr.F90	(revision 574)
+++ XIOS/trunk/src/interface/fortran_attr/igridgroup_attr.F90	(revision 575)
@@ -12,11 +12,11 @@
   
   SUBROUTINE xios(set_gridgroup_attr)  &
-    ( gridgroup_id, axisDomainOrder, description, group_ref, mask1, mask2, mask3, name )
+    ( gridgroup_id, axis_domain_order, description, group_ref, mask1, mask2, mask3, name )
     
     IMPLICIT NONE
       TYPE(txios(gridgroup))  :: gridgroup_hdl
       CHARACTER(LEN=*), INTENT(IN) ::gridgroup_id
-      LOGICAL  , OPTIONAL, INTENT(IN) :: axisDomainOrder(:)
-      LOGICAL (KIND=C_BOOL) , ALLOCATABLE :: axisDomainOrder_tmp(:)
+      LOGICAL  , OPTIONAL, INTENT(IN) :: axis_domain_order(:)
+      LOGICAL (KIND=C_BOOL) , ALLOCATABLE :: axis_domain_order_tmp(:)
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: description
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: group_ref
@@ -31,15 +31,15 @@
       CALL xios(get_gridgroup_handle)(gridgroup_id,gridgroup_hdl)
       CALL xios(set_gridgroup_attr_hdl_)   &
-      ( gridgroup_hdl, axisDomainOrder, description, group_ref, mask1, mask2, mask3, name )
+      ( gridgroup_hdl, axis_domain_order, description, group_ref, mask1, mask2, mask3, name )
     
   END SUBROUTINE xios(set_gridgroup_attr)
   
   SUBROUTINE xios(set_gridgroup_attr_hdl)  &
-    ( gridgroup_hdl, axisDomainOrder, description, group_ref, mask1, mask2, mask3, name )
-    
-    IMPLICIT NONE
-      TYPE(txios(gridgroup)) , INTENT(IN) :: gridgroup_hdl
-      LOGICAL  , OPTIONAL, INTENT(IN) :: axisDomainOrder(:)
-      LOGICAL (KIND=C_BOOL) , ALLOCATABLE :: axisDomainOrder_tmp(:)
+    ( gridgroup_hdl, axis_domain_order, description, group_ref, mask1, mask2, mask3, name )
+    
+    IMPLICIT NONE
+      TYPE(txios(gridgroup)) , INTENT(IN) :: gridgroup_hdl
+      LOGICAL  , OPTIONAL, INTENT(IN) :: axis_domain_order(:)
+      LOGICAL (KIND=C_BOOL) , ALLOCATABLE :: axis_domain_order_tmp(:)
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: description
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: group_ref
@@ -53,15 +53,16 @@
       
       CALL xios(set_gridgroup_attr_hdl_)  &
-      ( gridgroup_hdl, axisDomainOrder, description, group_ref, mask1, mask2, mask3, name )
+      ( gridgroup_hdl, axis_domain_order, description, group_ref, mask1, mask2, mask3, name )
     
   END SUBROUTINE xios(set_gridgroup_attr_hdl)
   
   SUBROUTINE xios(set_gridgroup_attr_hdl_)   &
-    ( gridgroup_hdl, axisDomainOrder_, description_, group_ref_, mask1_, mask2_, mask3_, name_ )
-    
-    IMPLICIT NONE
-      TYPE(txios(gridgroup)) , INTENT(IN) :: gridgroup_hdl
-      LOGICAL  , OPTIONAL, INTENT(IN) :: axisDomainOrder_(:)
-      LOGICAL (KIND=C_BOOL) , ALLOCATABLE :: axisDomainOrder__tmp(:)
+    ( gridgroup_hdl, axis_domain_order_, description_, group_ref_, mask1_, mask2_, mask3_, name_  &
+     )
+    
+    IMPLICIT NONE
+      TYPE(txios(gridgroup)) , INTENT(IN) :: gridgroup_hdl
+      LOGICAL  , OPTIONAL, INTENT(IN) :: axis_domain_order_(:)
+      LOGICAL (KIND=C_BOOL) , ALLOCATABLE :: axis_domain_order__tmp(:)
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: description_
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: group_ref_
@@ -74,8 +75,8 @@
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: name_
       
-      IF (PRESENT(axisDomainOrder_)) THEN
-        ALLOCATE(axisDomainOrder__tmp(size(axisDomainOrder_,1)))
-        axisDomainOrder__tmp=axisDomainOrder_
-        CALL cxios_set_gridgroup_axisDomainOrder(gridgroup_hdl%daddr, axisDomainOrder__tmp,size(axisDomainOrder_,1))
+      IF (PRESENT(axis_domain_order_)) THEN
+        ALLOCATE(axis_domain_order__tmp(size(axis_domain_order_,1)))
+        axis_domain_order__tmp=axis_domain_order_
+        CALL cxios_set_gridgroup_axis_domain_order(gridgroup_hdl%daddr, axis_domain_order__tmp,size(axis_domain_order_,1))
       ENDIF
       
@@ -115,11 +116,11 @@
   
   SUBROUTINE xios(get_gridgroup_attr)  &
-    ( gridgroup_id, axisDomainOrder, description, group_ref, mask1, mask2, mask3, name )
+    ( gridgroup_id, axis_domain_order, description, group_ref, mask1, mask2, mask3, name )
     
     IMPLICIT NONE
       TYPE(txios(gridgroup))  :: gridgroup_hdl
       CHARACTER(LEN=*), INTENT(IN) ::gridgroup_id
-      LOGICAL  , OPTIONAL, INTENT(OUT) :: axisDomainOrder(:)
-      LOGICAL (KIND=C_BOOL) , ALLOCATABLE :: axisDomainOrder_tmp(:)
+      LOGICAL  , OPTIONAL, INTENT(OUT) :: axis_domain_order(:)
+      LOGICAL (KIND=C_BOOL) , ALLOCATABLE :: axis_domain_order_tmp(:)
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: description
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: group_ref
@@ -134,15 +135,15 @@
       CALL xios(get_gridgroup_handle)(gridgroup_id,gridgroup_hdl)
       CALL xios(get_gridgroup_attr_hdl_)   &
-      ( gridgroup_hdl, axisDomainOrder, description, group_ref, mask1, mask2, mask3, name )
+      ( gridgroup_hdl, axis_domain_order, description, group_ref, mask1, mask2, mask3, name )
     
   END SUBROUTINE xios(get_gridgroup_attr)
   
   SUBROUTINE xios(get_gridgroup_attr_hdl)  &
-    ( gridgroup_hdl, axisDomainOrder, description, group_ref, mask1, mask2, mask3, name )
-    
-    IMPLICIT NONE
-      TYPE(txios(gridgroup)) , INTENT(IN) :: gridgroup_hdl
-      LOGICAL  , OPTIONAL, INTENT(OUT) :: axisDomainOrder(:)
-      LOGICAL (KIND=C_BOOL) , ALLOCATABLE :: axisDomainOrder_tmp(:)
+    ( gridgroup_hdl, axis_domain_order, description, group_ref, mask1, mask2, mask3, name )
+    
+    IMPLICIT NONE
+      TYPE(txios(gridgroup)) , INTENT(IN) :: gridgroup_hdl
+      LOGICAL  , OPTIONAL, INTENT(OUT) :: axis_domain_order(:)
+      LOGICAL (KIND=C_BOOL) , ALLOCATABLE :: axis_domain_order_tmp(:)
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: description
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: group_ref
@@ -156,15 +157,16 @@
       
       CALL xios(get_gridgroup_attr_hdl_)  &
-      ( gridgroup_hdl, axisDomainOrder, description, group_ref, mask1, mask2, mask3, name )
+      ( gridgroup_hdl, axis_domain_order, description, group_ref, mask1, mask2, mask3, name )
     
   END SUBROUTINE xios(get_gridgroup_attr_hdl)
   
   SUBROUTINE xios(get_gridgroup_attr_hdl_)   &
-    ( gridgroup_hdl, axisDomainOrder_, description_, group_ref_, mask1_, mask2_, mask3_, name_ )
-    
-    IMPLICIT NONE
-      TYPE(txios(gridgroup)) , INTENT(IN) :: gridgroup_hdl
-      LOGICAL  , OPTIONAL, INTENT(OUT) :: axisDomainOrder_(:)
-      LOGICAL (KIND=C_BOOL) , ALLOCATABLE :: axisDomainOrder__tmp(:)
+    ( gridgroup_hdl, axis_domain_order_, description_, group_ref_, mask1_, mask2_, mask3_, name_  &
+     )
+    
+    IMPLICIT NONE
+      TYPE(txios(gridgroup)) , INTENT(IN) :: gridgroup_hdl
+      LOGICAL  , OPTIONAL, INTENT(OUT) :: axis_domain_order_(:)
+      LOGICAL (KIND=C_BOOL) , ALLOCATABLE :: axis_domain_order__tmp(:)
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: description_
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: group_ref_
@@ -177,8 +179,8 @@
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: name_
       
-      IF (PRESENT(axisDomainOrder_)) THEN
-        ALLOCATE(axisDomainOrder__tmp(size(axisDomainOrder_,1)))
-        CALL cxios_get_gridgroup_axisDomainOrder(gridgroup_hdl%daddr, axisDomainOrder__tmp,size(axisDomainOrder_,1))
-        axisDomainOrder_=axisDomainOrder__tmp
+      IF (PRESENT(axis_domain_order_)) THEN
+        ALLOCATE(axis_domain_order__tmp(size(axis_domain_order_,1)))
+        CALL cxios_get_gridgroup_axis_domain_order(gridgroup_hdl%daddr, axis_domain_order__tmp,size(axis_domain_order_,1))
+        axis_domain_order_=axis_domain_order__tmp
       ENDIF
       
@@ -218,11 +220,11 @@
   
   SUBROUTINE xios(is_defined_gridgroup_attr)  &
-    ( gridgroup_id, axisDomainOrder, description, group_ref, mask1, mask2, mask3, name )
+    ( gridgroup_id, axis_domain_order, description, group_ref, mask1, mask2, mask3, name )
     
     IMPLICIT NONE
       TYPE(txios(gridgroup))  :: gridgroup_hdl
       CHARACTER(LEN=*), INTENT(IN) ::gridgroup_id
-      LOGICAL, OPTIONAL, INTENT(OUT) :: axisDomainOrder
-      LOGICAL(KIND=C_BOOL) :: axisDomainOrder_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: axis_domain_order
+      LOGICAL(KIND=C_BOOL) :: axis_domain_order_tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: description
       LOGICAL(KIND=C_BOOL) :: description_tmp
@@ -240,15 +242,15 @@
       CALL xios(get_gridgroup_handle)(gridgroup_id,gridgroup_hdl)
       CALL xios(is_defined_gridgroup_attr_hdl_)   &
-      ( gridgroup_hdl, axisDomainOrder, description, group_ref, mask1, mask2, mask3, name )
+      ( gridgroup_hdl, axis_domain_order, description, group_ref, mask1, mask2, mask3, name )
     
   END SUBROUTINE xios(is_defined_gridgroup_attr)
   
   SUBROUTINE xios(is_defined_gridgroup_attr_hdl)  &
-    ( gridgroup_hdl, axisDomainOrder, description, group_ref, mask1, mask2, mask3, name )
-    
-    IMPLICIT NONE
-      TYPE(txios(gridgroup)) , INTENT(IN) :: gridgroup_hdl
-      LOGICAL, OPTIONAL, INTENT(OUT) :: axisDomainOrder
-      LOGICAL(KIND=C_BOOL) :: axisDomainOrder_tmp
+    ( gridgroup_hdl, axis_domain_order, description, group_ref, mask1, mask2, mask3, name )
+    
+    IMPLICIT NONE
+      TYPE(txios(gridgroup)) , INTENT(IN) :: gridgroup_hdl
+      LOGICAL, OPTIONAL, INTENT(OUT) :: axis_domain_order
+      LOGICAL(KIND=C_BOOL) :: axis_domain_order_tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: description
       LOGICAL(KIND=C_BOOL) :: description_tmp
@@ -265,15 +267,16 @@
       
       CALL xios(is_defined_gridgroup_attr_hdl_)  &
-      ( gridgroup_hdl, axisDomainOrder, description, group_ref, mask1, mask2, mask3, name )
+      ( gridgroup_hdl, axis_domain_order, description, group_ref, mask1, mask2, mask3, name )
     
   END SUBROUTINE xios(is_defined_gridgroup_attr_hdl)
   
   SUBROUTINE xios(is_defined_gridgroup_attr_hdl_)   &
-    ( gridgroup_hdl, axisDomainOrder_, description_, group_ref_, mask1_, mask2_, mask3_, name_ )
-    
-    IMPLICIT NONE
-      TYPE(txios(gridgroup)) , INTENT(IN) :: gridgroup_hdl
-      LOGICAL, OPTIONAL, INTENT(OUT) :: axisDomainOrder_
-      LOGICAL(KIND=C_BOOL) :: axisDomainOrder__tmp
+    ( gridgroup_hdl, axis_domain_order_, description_, group_ref_, mask1_, mask2_, mask3_, name_  &
+     )
+    
+    IMPLICIT NONE
+      TYPE(txios(gridgroup)) , INTENT(IN) :: gridgroup_hdl
+      LOGICAL, OPTIONAL, INTENT(OUT) :: axis_domain_order_
+      LOGICAL(KIND=C_BOOL) :: axis_domain_order__tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: description_
       LOGICAL(KIND=C_BOOL) :: description__tmp
@@ -289,7 +292,7 @@
       LOGICAL(KIND=C_BOOL) :: name__tmp
       
-      IF (PRESENT(axisDomainOrder_)) THEN
-        axisDomainOrder__tmp=cxios_is_defined_gridgroup_axisDomainOrder(gridgroup_hdl%daddr)
-        axisDomainOrder_=axisDomainOrder__tmp
+      IF (PRESENT(axis_domain_order_)) THEN
+        axis_domain_order__tmp=cxios_is_defined_gridgroup_axis_domain_order(gridgroup_hdl%daddr)
+        axis_domain_order_=axis_domain_order__tmp
       ENDIF
       
Index: XIOS/trunk/src/node/distribution_client.cpp
===================================================================
--- XIOS/trunk/src/node/distribution_client.cpp	(revision 574)
+++ XIOS/trunk/src/node/distribution_client.cpp	(revision 575)
@@ -49,5 +49,5 @@
   std::vector<CDomain*> domList = grid->getDomains();
   std::vector<CAxis*> axisList = grid->getAxis();
-  CArray<bool,1> axisDomainOrder = grid->axisDomainOrder;
+  CArray<bool,1> axisDomainOrder = grid->axis_domain_order;
 
   std::vector<CDomain*>::iterator itbDom, iteDom, itDom;
Index: XIOS/trunk/src/node/grid.cpp
===================================================================
--- XIOS/trunk/src/node/grid.cpp	(revision 574)
+++ XIOS/trunk/src/node/grid.cpp	(revision 575)
@@ -231,23 +231,23 @@
       switch (dim) {
         case 1:
-          checkGridMask(mask1, domainMasks, axisMasks, axisDomainOrder);
+          checkGridMask(mask1, domainMasks, axisMasks, axis_domain_order);
           break;
         case 2:
-          checkGridMask(mask2, domainMasks, axisMasks, axisDomainOrder);
+          checkGridMask(mask2, domainMasks, axisMasks, axis_domain_order);
           break;
         case 3:
-          checkGridMask(mask3, domainMasks, axisMasks, axisDomainOrder);
+          checkGridMask(mask3, domainMasks, axisMasks, axis_domain_order);
           break;
 //        case 4:
-//          checkGridMask(mask4, domainMasks, axisMasks, axisDomainOrder);
+//          checkGridMask(mask4, domainMasks, axisMasks, axis_domain_order);
 //          break;
 //        case 5:
-//          checkGridMask(mask5, domainMasks, axisMasks, axisDomainOrder);
+//          checkGridMask(mask5, domainMasks, axisMasks, axis_domain_order);
 //          break;
 //        case 6:
-//          checkGridMask(mask6, domainMasks, axisMasks, axisDomainOrder);
+//          checkGridMask(mask6, domainMasks, axisMasks, axis_domain_order);
 //          break;
 //        case 7:
-//          checkGridMask(mask7, domainMasks, axisMasks, axisDomainOrder);
+//          checkGridMask(mask7, domainMasks, axisMasks, axis_domain_order);
 //          break;
         default:
@@ -263,5 +263,5 @@
       if (!domListP.empty())
       {
-        computeGridGlobalDimension(getDomains(), getAxis(), axisDomainOrder);
+        computeGridGlobalDimension(getDomains(), getAxis(), axis_domain_order);
         for (int i = 0; i < domListP.size(); ++i)
         {
@@ -282,7 +282,7 @@
         int idx = 0;
         std::vector<int> axisPositionMap;
-        for (int i = 0; i < axisDomainOrder.numElements(); ++i)
+        for (int i = 0; i < axis_domain_order.numElements(); ++i)
         {
-          if (false == axisDomainOrder(i))
+          if (false == axis_domain_order(i))
           {
             axisPositionMap.push_back(idx);
@@ -292,5 +292,5 @@
         }
 
-        computeGridGlobalDimension(getDomains(), getAxis(), axisDomainOrder);
+        computeGridGlobalDimension(getDomains(), getAxis(), axis_domain_order);
         for (int i = 0; i < axisListP.size(); ++i)
         {
@@ -385,16 +385,16 @@
 
       //By default, domains are always the first ones of a grid
-      if (grid->axisDomainOrder.isEmpty())
+      if (grid->axis_domain_order.isEmpty())
       {
         int size = domains.size()+axis.size();
-        grid->axisDomainOrder.resize(size);
+        grid->axis_domain_order.resize(size);
         for (int i = 0; i < size; ++i)
         {
-          if (i < domains.size()) grid->axisDomainOrder(i) = true;
-          else grid->axisDomainOrder(i) = false;
+          if (i < domains.size()) grid->axis_domain_order(i) = true;
+          else grid->axis_domain_order(i) = false;
         }
       }
 
-      grid->computeGridGlobalDimension(domains, axis, grid->axisDomainOrder);
+      grid->computeGridGlobalDimension(domains, axis, grid->axis_domain_order);
 
       return (grid);
@@ -586,5 +586,5 @@
        CContext* context = CContext::getCurrent() ;
        CContextServer* server=context->server ;
-       int idx = 0, numElement = axisDomainOrder.numElements();
+       int idx = 0, numElement = axis_domain_order.numElements();
        int ssize = numElement;
        std::vector<int> indexMap(numElement);
@@ -592,5 +592,5 @@
        {
          indexMap[i] = idx;
-         if (true == axisDomainOrder(i))
+         if (true == axis_domain_order(i))
          {
             ++ssize;
@@ -607,5 +607,5 @@
        for (int i = 0; i < numElement; ++i)
        {
-         if (axisDomainOrder(i))
+         if (axis_domain_order(i))
          {
             nZoomBegin[indexMap[i]]   = domainList[domainId]->zoom_ibegin_srv;
@@ -1018,8 +1018,8 @@
     {
       int sizeOrd = order.size();
-      axisDomainOrder.resize(sizeOrd);
+      axis_domain_order.resize(sizeOrd);
       for (int i = 0; i < sizeOrd; ++i)
       {
-        axisDomainOrder(i) = order[i];
+        axis_domain_order(i) = order[i];
       }
     }
Index: XIOS/trunk/src/output/nc4_data_output.cpp
===================================================================
--- XIOS/trunk/src/output/nc4_data_output.cpp	(revision 574)
+++ XIOS/trunk/src/output/nc4_data_output.cpp	(revision 575)
@@ -583,5 +583,5 @@
           if (SuperClass::type==MULTI_FILE) return ;
 
-         CArray<bool,1> axisDomainOrder = grid->axisDomainOrder;
+         CArray<bool,1> axisDomainOrder = grid->axis_domain_order;
          int numElement = axisDomainOrder.numElements(), idxDomain = 0, idxAxis = 0;
          std::vector<StdString> domainList = grid->getDomainList();
